Bug 426916

Summary: Lenovo T61 Display Brightness Set to Maxium after Suspend/Resume
Product: [Fedora] Fedora Reporter: Carsten Clasohm <clasohm>
Component: pm-utilsAssignee: Phil Knirsch <pknirsch>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 8CC: opensource, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 00:38:35 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
script for resetting display brightness on Lenovo T61 none

Description Carsten Clasohm 2007-12-28 07:06:15 EST
Description of problem:

When a Lenovo T61 is suspended with Fn+F4 and resumed, the brightness of the
internal display is set to its maximum value. Enabling the reset_brightness
quirk does not solve this.

Version-Release number of selected component (if applicable):

pm-utils-0.99.4-6.fc8
hal-info-20071030-1.fc8

How reproducible:

always

Steps to Reproduce:
1. Set the display brightness to a low value with the Power Management
Brightness Applet.
2. Suspend the laptop with Fn+F4.
3. Wake it up with the power button.
  
Actual results:

The display brightness is at its maximum.

Expected results:

The brightness should be the same as before the suspend/resume cycle.

Additional info:

I modified 

/usr/share/hal/fdi/information/10freedesktop/20-video-quirk-pm-lenovo.fdi

to enable the reset_brightness quirk:

<match key="system.hardware.product" prefix="6464">
  <merge key="power_management.quirk.s3_bios" type="bool">true</merge>
  <merge key="power_management.quirk.vbemode_restore" type="bool">true</merge>
  <merge key="power_management.quirk.reset_brightness" type="bool">true</merge>
</match>

This did not work.

The next thing I tried was to modify /usr/lib/pm-utils/sleep.d/99video,
replacing the reset_brightness function with a script:

reset_brightness() {
  /usr/local/sbin/reset-brightness &
}

The script is attached, and basically does the same as the original
reset_brightness function. But it sleeps 1 second before modifying
/sys/class/backlight/thinkpad_screen/brightness. This solved the problem.

The output of

lshal | grep system.hardware

is:

  system.hardware.primary_video.product = 10754  (0x2a02)  (int)
  system.hardware.primary_video.vendor = 32902  (0x8086)  (int)
  system.hardware.product = '6464Y1G'  (string)
  system.hardware.serial = 'L3C5908'  (string)
  system.hardware.uuid = 'A122A181-494A-11CB-A4F5-B04BA82A6D2D'  (string)
  system.hardware.vendor = 'LENOVO'  (string)
  system.hardware.version = 'ThinkPad T61'  (string)
Comment 1 Carsten Clasohm 2007-12-28 07:06:15 EST
Created attachment 290487 [details]
script for resetting display brightness on Lenovo T61
Comment 2 Till Maas 2007-12-28 07:48:57 EST
Can you test, whether the brightness is also at maximum after you closed the lid
and opened it again without suspending?
Comment 3 Carsten Clasohm 2007-12-28 16:06:58 EST
Yes, the brightness is also at maximum after closing and opening the lid,
without suspend.

Also, the Fn keys for lowering and raising the brightness don't work. They
display an OSD widget with a changing indicator bar, but brightness is always
set to maximum.

The only way to lower the brightness are echos to /sys or /proc/acpi/ibm, and
the Gnome applet.
Comment 4 Carsten Clasohm 2008-03-18 08:59:00 EDT
With the two latest kernels (kernel-2.6.24.3-12.fc8 and kernel-2.6.24.3-34.fc8),
the brightness cannot be controlled at all.

Instead of /sys/class/backlight/thinkpad_screen/brightness, I now have
/sys/class/backlight/acpi_video0/brightness. An echo to the new file takes about
one second to complete. While the content of the brightness file changes, the
actual brightness does not. The Gnome applet also has stopped working.
Comment 5 Carsten Clasohm 2008-03-29 06:32:02 EDT
With the latest kernel-2.6.24.3-50.fc8, gnome-brightness-applet has started to
work again.
Comment 6 Bug Zapper 2008-11-26 04:11:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 00:38:35 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.